**Table of Contents:**
- [Testing Requirements](#testing-requirements)
- [Initial Testing Libre](#initial-testing-libre)
- [Initial Testing Summary](#initial-testing-summary)
- [2nd Round of Testing](#2nd-round-testing)
- [Issues](#issues)
- [thefossguy](#thefossguy)

<a id="testing-requirements"></a>
### Requirements for Testing
The kernel-mainline-sbc package being referenced is the currently being built/tested.  Vendor U-boot has been used in most of the initial testing.  Future tests will include testing with the same criteria in the tables below, but instead we'll use U-Boot provided by the uboot-tools for Rocky Linux.  All USB ports should work during the uboot stage of the boot process as well as once uboot has handed off to the kernel all the way to the login prompt.  Video output should function both during U-Boot and the login prompt.  Finally, Wi-Fi, where applicable, should be functional.  The "generic-altarch" image was used with an MBR partition table.

<a id="initial-testing-libre"></a>
### Initial Testing for Libre Boards
|                         | Tritrium H5 | Le Potato AML-S905X-CC | La Frite AML-S805X-AC | Renegade ROC-RK3328-CC  |
|:---:|:---:|:---:|:---:|:---:|
| Kernel SBC support  | Passed      | Passed                 |                                | Passed         |
| Vendor U-Boot       | Yes         | Yes                    | Yes                            | Yes            |
| Rocky U-Boot        | Not Tested  | Not Tested             |                                | Not Tested     |
| USB                 | Passed      | Passed                 | Passed                         | Passed         |
| Video               | Passed      | Passed                 | Lost Video at kernel takeover  | Passed         |
| Wi-Fi               | N/A         | N/A                    | N/A                            | N/A            |
| Ethernet            | Passed      | Passed                 | Blinking Green LED             | Passed         |


<a id="initial-testing-summary"></a>
### Initial Testing Summary
The table above shows the results for intial testing of ```kernel-mainline-sbc```.  Both the Libre Le Potato and Libre Renegade will need additional testing while the Tritrium H5 and the Le Potato are working great.  The other board tested was the Orange Pi 5.  It works great, however, we had to build a custom uboot package for it. (needs to be added to Rocky's uboot-tools package)  #### Last Edited 01/02/2024

As of 3 Jan 2024, the usb issues on the Libre Renegade have been resolved.  The Le Potato works fine as well.

<a id="2nd-round-testing"></a>
### 2nd Round of Testing
The 2nd round of testing will include the same as before except that we'll use U-Boot from the Rock Linux U-Boot Tools package.  We'll continue testing the 6.6.x kernel branch.

<a id="issues"></a>
### Issues

Rockchip Specific:
Turning off that USB config turns off ports on the Renegade but lets us boot on OPi5
Turning on that USB config restores USB on the Renegade but borks booting on OPi5(MMC-related)


<a id="thefossguy"></a>
### thefossguy

Considering a pivot to RHEL config + defconfig vs the current Fedora config + defconfig, but it'll take some time. 
